import { createRouter, createWebHashHistory } from 'vue-router'
import Overview from '../views/overview/index.vue'
import energyMonitoring from '../views/energyMonitoring/index.vue'

const routes = [
    {
        path: '/',
        redirect: '/overview'
    },
    {
        path: '/overview',
        name: 'overview',
        component: Overview
    },
    {
        path: '/energyMonitoring',
        name: 'energyMonitoring',
        component: energyMonitoring
    },
]

const router = createRouter({
    // history: createWebHistory(),
    history: createWebHashHistory(),
    routes,
})

export default router;
